Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
k8s_cluster_kubeconfig = client.cloud.k8s.clusters.kubeconfig.get(
cluster_name="my-cluster",
project_id=1,
region_id=7,
)
print(k8s_cluster_kubeconfig.client_certificate)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
k8sClusterKubeconfig, err := client.Cloud.K8S.Clusters.Kubeconfig.Get(
context.TODO(),
"my-cluster",
cloud.K8SClusterKubeconfigGetParams{
ProjectID: gcore.Int(1),
RegionID: gcore.Int(7),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", k8sClusterKubeconfig.ClientCertificate)
}
curl --request GET \
--url https://api.gcore.com/cloud/v2/k8s/clusters/{project_id}/{region_id}/{cluster_name}/config \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v2/k8s/clusters/{project_id}/{region_id}/{cluster_name}/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"client_certificate": "<string>",
"client_key": "<string>",
"cluster_ca_certificate": "<string>",
"config": "<string>",
"created_at": "2024-02-15T11:53:03Z",
"expires_at": "2026-02-15T11:53:03Z",
"host": "<string>"
}Managed Kubernetes
Get k8s cluster kubeconfig
GET
/
cloud
/
v2
/
k8s
/
clusters
/
{project_id}
/
{region_id}
/
{cluster_name}
/
config
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
k8s_cluster_kubeconfig = client.cloud.k8s.clusters.kubeconfig.get(
cluster_name="my-cluster",
project_id=1,
region_id=7,
)
print(k8s_cluster_kubeconfig.client_certificate)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
k8sClusterKubeconfig, err := client.Cloud.K8S.Clusters.Kubeconfig.Get(
context.TODO(),
"my-cluster",
cloud.K8SClusterKubeconfigGetParams{
ProjectID: gcore.Int(1),
RegionID: gcore.Int(7),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", k8sClusterKubeconfig.ClientCertificate)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Project ID
Example:
1
Region ID
Example:
7
Cluster name
Example:
"my-cluster"
Response
200 - application/json
OK
String in base64 format. Cluster client certificate
String in base64 format. Cluster client key
String in base64 format. Cluster ca certificate
Cluster kubeconfig
Kubeconfig creation date
Example:
"2024-02-15T11:53:03Z"
Kubeconfig expiration date
Example:
"2026-02-15T11:53:03Z"
Cluster host
Was this page helpful?